%define upstream_name    IO-BufferedSelect
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Line-buffered select interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
The 'select' system call (and the 'IO::Select' interface) allows us to
process multiple streams simultaneously, blocking until one or more of them
is ready for reading or writing. Unfortunately, this requires us to use
'sysread' and 'syswrite' rather than Perl's buffered I/O functions. In the
case of reading, there are two issues with combining 'select' with
'readline': (1) 'select' might block but the data we want is already in
Perl's input buffer, ready to be slurped in by 'readline'; and (2) 'select'
might indicate that data is available, but 'readline' will block because
there isn't a full '$/'-terminated line available.

The purpose of this module is to implement a buffered version of the
'select' interface that operates on _lines_, rather than characters. Given
a set of filehandles, it will block until a full line is available on one
or more of them.

Note that this module is currently limited, in that (1) it only does
'select' for readability, not writability or exceptions; and (2) it does
not support arbitrary line separators ('$/'): lines must be delimited by
newlines.

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-10.mga9
+ Revision: 1804045
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-9.mga8
+ Revision: 1495093
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1268679
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-7.mga6
+ Revision: 1028621
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 934187
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 742851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 685048
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 512298
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 368437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 22517
- cleaning spec file
- imported package perl-IO-BufferedSelect

